Subject: bug#61187: continuous integration

From: Bruno Haible <[email-masked]>
Date: Mon, 30 Jan 2023 22:46:15 +0100

Hi Jim,

For gzip, I've now set up a continuous integration:
https://gitlab.com/gnu-gzip/ci-distcheck

If you want to co-maintain it with me, let me know your GitLab login name,
so that I can assign you the permissions.

While setting up this CI, I noticed two problems:

1) bootstrap.conf specifies that 'rsync' is needed. But rsync is not needed
any more by 'gnulib-tool' and by 'bootstrap' since 2018-10-07.
<https://git.savannah.gnu.org/gitweb/?p=gnulib.git;a=commit;h=0ddd440d18af7bb10437642f12721d83092f0bea>

Patch attached.

2) The problem reported in
https://lists.gnu.org/archive/html/bug-gzip/2023-01/msg00005.html

Bruno

>From 1d8d9a277f33b76266dccdf7e7162049d7b26493 Mon Sep 17 00:00:00 2001
From: Bruno Haible <[email-masked]>
Date: Mon, 30 Jan 2023 22:43:52 +0100
Subject: [PATCH] Don't require 'rsync' as a prerequisite. It is no longer
 needed since 2018.

* bootstrap.conf (buildreq): Remove rsync.
---
 bootstrap.conf | 1 -
 1 file changed, 1 deletion(-)

diff --git a/bootstrap.conf b/bootstrap.conf
index 2dafa63..78478e4 100644
--- a/bootstrap.conf
+++ b/bootstrap.conf
@@ -85,7 +85,6 @@ gettext    -
 git        1.4.4
 makeinfo   -
 perl       5.5
-rsync      -
 tar        -
 "
 
-- 
2.34.1